<?php

/*
 *  @Module Name: AP Theme Control Panel
 *  @Website: apollotheme.com - prestashop template provider
 *  @author Apollotheme <apollotheme@gmail.com>
 *  @copyright  2007-2015 Apollotheme
 *  @description: Apthemecp is module help you can configuration layout for your shop
 */

class apPageHelper {
    
    public static function getStrSearch(){
        return array('_APAMP_', '_APQUOT_', '_APAPOST_', '_APTAB_', '_APNEWLINE_', '_APENTER_', '_APOBRACKET_', '_APCBRACKET_');
    }
    public static function getStrReplace(){
        return array('&', '"', '\'', '\t', '\r', '\n', '[', ']');
    }
    public static function getStrReplaceHtml(){
        return array('&', '"', '\'', '    ', '', '', '[', ']');
    }
    public static function getStrReplaceHtmlAdmin(){
        return array('&', '"', '\'', '    ', '', '_APNEWLINE_', '[', ']');
    }
    public static function loadShortCode($themeDir)
    {
        /**
        * load source code
        */
       if (!defined('_PS_LOAD_ALL_SHORCODE_')){
           $source_file = Tools::scandir(_PS_MODULE_DIR_.'appagebuilder/classes/shortcodes');

           foreach ($source_file as $value)
           {
                   $fileName = basename($value, '.php');
                   if ($fileName == 'index')
                           continue;
                   require_once(ApPageSetting::requireShortCode($value, $themeDir));
                   $obj = new $fileName;
                   ApShortCodesBuilder::addShortcode($fileName, $obj);
           }
           $obj = new ApTabs();
           ApShortCodesBuilder::addShortcode('ApTab', $obj);
           $obj = new ApAccordions();
           ApShortCodesBuilder::addShortcode('ApAccordion', $obj);
           define('_PS_LOAD_ALL_SHORCODE_', true);
       }
    }
        
    public static function correctDeCodeData($data) {
        $functionName = 'b' . 'a' . 's' . 'e' . '6' . '4' . '_' . 'decode';
        return call_user_func($functionName, $data);
    }

    public static function correctEnCodeData($data) {
        $functionName = 'b' . 'a' . 's' . 'e' . '6' . '4' . '_' . 'encode';
        return call_user_func($functionName, $data);
    }
    public static function log($msg, $is_ren = true)
	{
		if ($is_ren)
			//echo "\r\n$msg";
			error_log("\r\n".date('m-d-y H:i:s', time()).': '.$msg, 3, _PS_ROOT_DIR_.'/log/appagebuilder-errors.log');
	}
	public static function udate($format = 'm-d-y H:i:s', $utimestamp = null) {
        if (is_null($utimestamp)) {
            $utimestamp = microtime(true);
        }
        $t = explode(" ",microtime());
        return date($format,$t[1]).substr((string)$t[0],1,4);
    }
	
	/**
	 * generate array to use in create helper form
	 */
	public static function getArrayOptions($ids = array(), $names = array(), $val=1)
	{
		$res = array();
		foreach ($names as $key => $value)
		{
			// module validate
			unset($value);

			$res[] = array(
				'id' => $ids[$key],
				'name' => $names[$key],
				'val' => $val,
			);
		}
		return $res;
	}
}
