{*
 * @Module Name: AP Page Builder
 * @Website: apollotheme.com - prestashop template provider
 * @author Apollotheme <apollotheme@gmail.com>
 * @copyright  2007-2015 Apollotheme
 * @description: ApPageBuilder is module help you can build content for your shop
 *}
 <!-- @file modules\appagebuilder\views\templates\hook\ApTabs -->
{if !isset($isSubTab)}
<div{if isset($formAtts.id)} id="{$formAtts.id}"{/if}{if isset($formAtts.class)} class="{$formAtts.class}"{/if}>

	{$apLiveEdit}

    {if isset($formAtts.title) && $formAtts.title}
    <h4 class="title_block">{$formAtts.title|rtrim}</h4>
    {/if}
    {if $formAtts.tab_type =='tabs-left'}
        <div class="block_content">
            <ul class="nav nav-tabs col-md-3" role="tablist">
                {foreach from=$subTabContent item=subTab}
                    <li class="{$subTab.css_class}">
                        <a href="#{$subTab.id}" class="{$subTab.form_id}" role="tab" data-toggle="tab">
                            <span>{$subTab.title|escape:'html':'UTF-8'}</span>
                        </a>
                    </li>
                {/foreach}
            </ul>
            <div class="tab-content col-md-9">
                {$apContent}
            </div>
        </div>
    {/if}
    {if $formAtts.tab_type =='tabs-right'}
        <div class="block_content">
            <div class="tab-content col-md-9">
                {$apContent}
            </div>
            <ul class="nav nav-tabs col-md-3" role="tablist">
                {foreach from=$subTabContent item=subTab}
                    <li class="{$subTab.css_class}">
                        <a href="#{$subTab.id}" class="{$subTab.form_id}" role="tab" data-toggle="tab">
                            <span>{$subTab.title|escape:'html':'UTF-8'}</span>
                        </a>
                    </li>
                {/foreach}
            </ul>
        </div>
    {/if}
    {if $formAtts.tab_type =='tabs-below'}
        <div class="block_content">
            <div class="tab-content">
                {$apContent}
            </div>
            <ul class="nav nav-tabs" role="tablist">
                {foreach from=$subTabContent item=subTab}
                    <li class="{$subTab.css_class}">
                        <a href="#{$subTab.id}" class="{$subTab.form_id}" role="tab" data-toggle="tab">
                            <span>{$subTab.title|escape:'html':'UTF-8'}</span>
                        </a>
                    </li>
                {/foreach}
            </ul>
        </div>
    {/if}
    {if $formAtts.tab_type =='tabs-top'}
        <div class="block_content">
            <ul class="nav nav-tabs" role="tablist">
                {foreach from=$subTabContent item=subTab}
                    <li class="{$subTab.css_class}">
                        <a href="#{$subTab.id}" class="{$subTab.form_id}" role="tab" data-toggle="tab">
                            <span>{$subTab.title|escape:'html':'UTF-8'}</span>
                        </a>
                    </li>
                {/foreach}
            </ul>
            <div class="tab-content">
                {$apContent}
            </div>
        </div>
    {/if}

	{$apLiveEditEnd}
</div>
<script type="text/javascript">
    $(document).ready(function() {
        $('#{$formAtts.id} .nav a').click(function (e) {
            e.preventDefault();
            $(this).tab('show');
        });

        apTabHref = $('#{$formAtts.id} .nav a:eq({$formAtts.active_tab})').tab('show');
        {if isset($formAtts.fade_effect) && $formAtts.fade_effect}
            $('#{$formAtts.id} .tab-pane').addClass('fade');
            $($(apTabHref).attr('href')).addClass('in');
        {/if}
    });
</script>
{else}
    <div id="{$tabID}" class="tab-pane">
        {$apContent}
    </div>
{/if}
