{*
 *  Leo Theme for Prestashop 1.6.x
 *
 * @author    http://www.leotheme.com
 * @copyright Copyright (C) October 2013 LeoThemes.com <@emai:leotheme@gmail.com>
 *               <info@leotheme.com>.All rights reserved.
 * @license   GNU General Public License version 2
*}
{if $sliderParams.slider_class == "boxed"}
	<div class="layerslider-wrapper{if $sliderParams.group_class} {$sliderParams.group_class}{/if}{if $sliderParams.md_width} col-md-{$sliderParams.md_width}{/if}{if $sliderParams.sm_width} col-sm-{$sliderParams.sm_width}{/if}{if $sliderParams.sm_width} col-xs-{$sliderParams.xs_width}{/if}">
{/if}
<div class="bannercontainer banner-{$sliderParams.slider_class}{if $sliderParams.group_class} {$sliderParams.group_class}{/if}" style="padding: {$sliderParams.padding};margin: {$sliderParams.margin};{$sliderParams.background};">
	<div id="iview">
		{if $sliders}
			{foreach from=$sliders item=slider}

				{if $slider.video.active}
					<!-- SLIDE VIDEO BEGIN -->
					<div data-iview:image="{$slider.thumbnail|escape:'html':'UTF-8'}" data-iview:type="video" data-iview:transition="strip-right-fade,strip-left-fade">
						<iframe src="{$slider.video.videoURL|escape:'html':'UTF-8'}?title=0&amp;byline=0&amp;portrait=0;api=1&{$slider.video.videoauto}" width="100%" height="100%" frameborder="0" webkitAllowFullScreen mozallowfullscreen allowFullScreen></iframe>
					</div>
					<!-- SLIDE VIDEO END -->
				{else}
					
					<!-- SLIDE IMAGE BEGIN -->
					<div class="slide_config"
						{if $slider.main_image!=''} data-iview:image="{$slider.main_image|escape:'html':'UTF-8'}"{/if}
						{if $slider.background_color!=''}data-iview:background_color="{$slider.background_color|escape:'html':'UTF-8'}"{/if}
						{$slider.data_link|escape:'html':'UTF-8'}
						{$slider.data_target|escape:'html':'UTF-8'}
						data-iview:pausetime="{$slider.data_delay|escape:'html':'UTF-8'}"
						data-iview:thumbnail="{$slider.thumbnail|escape:'html':'UTF-8'}"
						
						{if $slider.enable_custom_html_bullet}
						data-iview:bullet_description="{$slider.bullet_description}"
						data-iview:bullet_class="{$slider.bullet_class}"
						{/if}
						
						{$slider.data_link|escape:'html':'UTF-8'}
						>
						
						
						{if isset($slider.layersparams)}
							{foreach from=$slider.layersparams item=layer}
								
								<div class="iview-caption {if $layer.layer_link}data-link{/if}{if $layer.layer_class} {$layer.layer_class|escape:'html':'UTF-8'}{/if}" 
									 data-x="{$layer.layer_left|rtrim}"
									 data-y="{$layer.layer_top|rtrim}"
									 data-transition="{$layer.layer_transition|escape:'html':'UTF-8'}"
									 {if $layer.layer_link}onclick="event.stopPropagation();window.open('{$layer.layer_link|escape:'html':'UTF-8'}','{$layer.layer_target|escape:'html':'UTF-8'}');"{/if}
									 {if $layer.css}style="{$layer.css|escape:'html':'UTF-8'};"{/if}
									 >
									
									{if $layer.layer_type == "text"}<!-- LAYER TEXT BEGIN -->
										{$layer.layer_caption|replace:"_ASM_":"&"}
									{/if}<!-- LAYER TEXT END -->


									{if $layer.layer_type == "image"}<!-- LAYER IMAGE BEGIN -->
										<img src="{$sliderImgUrl|escape:'html':'UTF-8'}{$layer.layer_content|escape:'html':'UTF-8'}" alt="" class="img_disable_drag"/>
									{/if}<!-- LAYER IMAGE END -->


									{if $layer.layer_type == "video"}<!-- LAYER VIDEO BEGIN -->
										{if $layer.layer_video_type == "vimeo"}
											<iframe src="http://player.vimeo.com/video/{$layer.layer_video_id|escape:'html':'UTF-8'}?wmode=transparent&amp;title=0&amp;byline=0&amp;portrait=0;api=1" width="{$layer.layer_video_width|escape:'html':'UTF-8'}" height="{$layer.layer_video_height|escape:'html':'UTF-8'}" ></iframe>
										{else}
											<iframe src="http://www.youtube.com/embed/{$layer.layer_video_id|escape:'html':'UTF-8'}?wmode=transparent" width="{$layer.layer_video_width|escape:'html':'UTF-8'}" height="{$layer.layer_video_height|escape:'html':'UTF-8'}"></iframe>
										{/if}
									{/if}<!-- LAYER VIDEO END -->
									
									
								</div>
							{/foreach}
						{/if}
						
				</div><!-- SLIDE IMAGE END -->
				{/if}

			{/foreach}
		{/if}
	</div>
</div>
{if $sliderParams.slider_class == "boxed"}
	</div>
{/if}



<script type="text/javascript">
$( document ).ready(function() {

	jQuery("#iview").iView({
		// COMMON
		pauseTime:{$sliderParams.delay|rtrim|default:'5000'}, // delay
		startSlide:{$sliderParams.start_with_slide|rtrim|default:'0'},
		autoAdvance: {$sliderParams.autoAdvance|rtrim|default:'true'},	// enable timer thời gian auto next slide
		pauseOnHover: {$sliderParams.stop_on_hover|rtrim|default:'false'},
		randomStart: {$sliderParams.shuffle_mode|rtrim|default:'false'}, // Ramdom slide when start

		// TIMER
		timer: "{$sliderParams.timer|rtrim|default:'Pie'}",
		timerPosition: "{$sliderParams.timerPosition|rtrim|default:'top-right'}", // Top-right, top left ....
		timerX: {$sliderParams.timerX|rtrim|default:'10'},
		timerY: {$sliderParams.timerY|rtrim|default:'10'},
		timerOpacity: {$sliderParams.timerOpacity|rtrim|default:'0.5'},
		timerBg: "{$sliderParams.timerBg|rtrim|default:'#000'}",
		timerColor: "{$sliderParams.timerColor|rtrim|default:'#EEE'}",
		timerDiameter: {$sliderParams.timerDiameter|rtrim|default:'30'},
		timerPadding: {$sliderParams.timerPadding|rtrim|default:'4'},
		timerStroke: {$sliderParams.timerStroke|rtrim|default:'3'},
		timerBarStroke: {$sliderParams.timerBarStroke|rtrim|default:'1'},
		timerBarStrokeColor: "{$sliderParams.timerBarStrokeColor|rtrim|default:'#EEE'}",
		timerBarStrokeStyle: "{$sliderParams.timerBarStrokeStyle|rtrim|default:'solid'}",
		playLabel: "{$sliderParams.playLabel|rtrim|default:'Play'}",
		pauseLabel: "{$sliderParams.pauseLabel|rtrim|default:'Pause'}",
		closeLabel: "{$sliderParams.closeLabel|rtrim|default:'Close'}", // Muli language

		// NAVIGATOR controlNav
		controlNav: {$sliderParams.controlNav|rtrim|default:'false'}, // true : enable navigate - default:'false'
		keyboardNav: {$sliderParams.keyboardNav|rtrim|default:'true'}, // true : enable keybroad
		controlNavThumbs: {$sliderParams.controlNavThumbs|rtrim|default:'false'}, // true show thumbnail, false show number ( bullet )
		controlNavTooltip: {$sliderParams.controlNavTooltip|rtrim|default:'true'}, // true : hover to bullet show thumnail
		tooltipX: {$sliderParams.tooltipX|rtrim|default:'5'},
		tooltipY: {$sliderParams.tooltipY|rtrim|default:'-5'},
		controlNavHoverOpacity: {$sliderParams.controlNavHoverOpacity|default:'0.6'}, // opacity navigator

		// DIRECTION
		controlNavNextPrev: false, // false dont show direction at navigator
		directionNav: {$sliderParams.directionNav|rtrim|default:'true'}, // true  show direction at image ( in this case : enable direction )
		directionNavHoverOpacity: {$sliderParams.directionNavHoverOpacity|default:'0.6'}, // direction opacity at image
		nextLabel: "{$sliderParams.nextLabel|default:'Next'}",				// Muli language
		previousLabel: "{$sliderParams.previousLabel|default:'Previous'}", // Muli language

		// ANIMATION 
		fx: '{$sliderParams.fx|rtrim|default:'random'}', // Animation
		animationSpeed: {$sliderParams.animationSpeed|rtrim|default:'500'}, // time to change slide
//		strips: {$sliderParams.strips|rtrim|default:'20'},
		strips: 1, // set value is 1 -> fix animation full background
		blockCols: {$sliderParams.blockCols|rtrim|default:'10'}, // number of columns
		blockRows: {$sliderParams.blockRows|rtrim|default:'5'}, // number of rows

		captionSpeed: {$sliderParams.captionSpeed|rtrim|default:'500'}, // speed to show caption
		captionOpacity: {$sliderParams.captionOpacity|rtrim|default:'1'}, // caption opacity
		captionEasing: 'easeInOutSine', // caption transition easing effect, use JQuery Easings effect
		customWidth: {$sliderParams.width},
		customHtmlBullet: {if $slider.enable_custom_html_bullet}true{else}false{/if},

		//onBeforeChange: function(){}, // Triggers before a slide transition
		//onAfterChange: function(){}, // Triggers after a slide transition
		//onSlideshowEnd: function(){}, // Triggers after all slides have been shown
		//onLastSlide: function(){}, // Triggers when last slide is shown
		//onPause: function(){}, // Triggers when slider has paused
		//onPlay: function(){} // Triggers when slider has played

		onAfterLoad: function() 
		{
			// THUMBNAIL
			{if $sliderParams.nav_thumbnail_height}
					$('.iview-controlNav a img').height({$sliderParams.nav_thumbnail_height|intval});
					//$('#iview-tooltip').height({$sliderParams.nav_thumbnail_height|intval});
			{/if}
			{if $sliderParams.nav_thumbnail_width}
					$('.iview-controlNav a img').width({$sliderParams.nav_thumbnail_width|intval});
					//$('#iview-tooltip').width({$sliderParams.nav_thumbnail_width|intval});
			{/if}

			// BULLET
			{if $sliderParams.nav_thumbnail_height}
					$('#iview-tooltip div.holder div.container div img').width({$sliderParams.nav_thumbnail_width|intval});
			{/if}
			{if $sliderParams.nav_thumbnail_width}
					$('#iview-tooltip div.holder div.container div img').height({$sliderParams.nav_thumbnail_height|intval});
			{/if}

			// Display timer
			{if $sliderParams.timer_show eq 1 or $sliderParams.timer_show eq 2}
					$('#iview-timer').hide();
			{/if}
		},

	});
});

$( document ).ready(function(){
	$(".img_disable_drag").bind('dragstart', function() {
		return false;
	});
});

// Fix : Slide link, image cant swipe
$( document ).ready(function(){
	// step 1
	var link_event = 'click';

	// step 3
	$("#iview .slide_config").on("click",function(){
		
		if(link_event !== 'click'){
			link_event = 'click';
			return;
		}

		if($(this).data('link') != undefined && $(this).data('link') != '') {
			window.open($(this).data('link'),$(this).data('target'));
		}
		
	});

	// step 2
	$("#iview .slide_config").on('swipe',function(){
		link_event = 'swiped';	// dont do click event
	});
});
				 
</script>
<style type="text/css">
#iview {
	max-width: 100%;
}
#iview .iviewSlider {
	width: 100%;	{* hard fixed (ex 950px) is enable responsive, auto not responve*}
	height: {$sliderParams.height}px;
}

</style>