{* 
* @Module Name: AP Page Builder
* @Website: apollotheme.com - prestashop template provider
* @author Apollotheme <apollotheme@gmail.com>
* @copyright  2007-2015 Apollotheme
* @description: ApPageBuilder is module help you can build content for your shop
*}
<!-- @file modules\appagebuilder\views\templates\hook\ApImage -->
<div id="image-{$formAtts.form_id}" class="block {$formAtts.css_class} {(isset($formAtts.class) && $formAtts.class) ? $formAtts.class  : ''}">
	{$apLiveEdit}
    {if isset($formAtts.image) && $formAtts.image}
        {if isset($formAtts.url) && $formAtts.url}
        <a href="{$formAtts.url}" {(isset($formAtts.is_open) && $formAtts.is_open) ? 'target="_blank"' : ''}>
        {/if}
        <img src="{$path}{$formAtts.image}" class="{(isset($formAtts.animation) && $formAtts.animation != 'none') ? 'has-animation' : ''}"
            {if isset($formAtts.animation) && $formAtts.animation != 'none'} data-animation="{$formAtts.animation}" {/if}
            {if $formAtts.animation_delay != ''} data-animation-delay="{$formAtts.animation_delay}" {/if}
            title="{((isset($formAtts.title) && $formAtts.title) ? $formAtts.title : '')|escape:'html':'UTF-8'}"
            width="{((isset($formAtts.width) && $formAtts.width) ? $formAtts.width : 'auto')|escape:'html':'UTF-8'}"
            height="{((isset($formAtts.height) && $formAtts.height) ? $formAtts.height : 'auto')|escape:'html':'UTF-8'}"
            alt="{((isset($formAtts.alt) && $formAtts.alt) ? $formAtts.alt : '')|escape:'html':'UTF-8'}"
            />
        {if isset($formAtts.url) && $formAtts.url}
        </a>
        {/if}
    {/if}
	{$apLiveEditEnd}
        {if isset($formAtts.description) && $formAtts.description}
            <div class='image_description'>
                    {$formAtts.description}
            </div>
        {/if}
</div>
