{**
 *  Leo Prestashop Theme Framework for Prestashop 1.5.x
 *
 * @package   leotempcp
 * @version   3.0
 * @author    http://www.leotheme.com
 * @copyright Copyright (C) October 2013 LeoThemes.com <@emai:leotheme@gmail.com>
 *               <info@leotheme.com>.All rights reserved.
 * @license   GNU General Public License version 2
 *
 **}
<!-- Block languages module -->
<div id="leo_block_top" class="pull-right">
	<span id="open-tool" class="mdi-navigation-more-vert"></span>
	<ul class="open-group z-depth-1">
		<li >
			{if !$catalog_mode}
				<form id="setCurrency" action="{$request_uri}" method="post">
					<p class="waves-effect">
						<input type="hidden" name="id_currency" id="id_currency" value=""/>
						<input type="hidden" name="SubmitCurrency" value="" />
						<i class="fa fa-credit-card"></i>{l s='Currency' mod='blockgrouptop'}
					</p>
					<ul id="first-currencies" class="currencies_ul">
						{foreach from=$currencies key=k item=f_currency}
							<li {if $cookie->id_currency == $f_currency.id_currency}class="selected"{/if}>
								<a class="type-currenci" href="javascript:setCurrency({$f_currency.id_currency});" title="{$f_currency.name}" rel="nofollow">{$f_currency.sign}</a>
								<a href="javascript:setCurrency({$f_currency.id_currency});" title="{$f_currency.name}" rel="nofollow">{$f_currency.name}</a>
							</li>
						{/foreach}
					</ul>
				</form>
			{/if}
			<i class="fa fa-angle-down"></i>
		</li>
		{if count($languages) > 1}
		<li >
			<p class="waves-effect"><i class="mdi-social-public"></i>{l s='Language' mod='blockgrouptop'}</p>
			<ul id="first-languages" class="languages-block_ul">
				{foreach from=$languages key=k item=language name="languages"}
					<li {if $language.iso_code == $lang_iso}class="selected"{/if}>
					{if $language.iso_code != $lang_iso}
						{assign var=indice_lang value=$language.id_lang}
						{if isset($lang_rewrite_urls.$indice_lang)}
							<a href="{$lang_rewrite_urls.$indice_lang|escape:'html':'UTF-8'}" title="{$language.name}">
						{else}
							<a href="{$link->getLanguageLink($language.id_lang)|escape:'html':'UTF-8'}" title="{$language.name}">
						{/if}
					{/if}
							<span><img src="{$img_lang_dir}{$language.id_lang}.jpg" alt="{$language.iso_code}" width="16" height="11" /></span>
							&nbsp;{$language.name|regex_replace:"/\s\(.*\)$/":""}
					{if $language.iso_code != $lang_iso}
						</a>
					{/if}
					</li>
				{/foreach}
			</ul>
			<i class="fa fa-angle-down"></i>
		</li>
		{/if}
		<li class="waves-effect ">
			<a href="{$link->getPageLink('order', true)|escape:'html':'UTF-8'}" title="{l s='Checkout' mod='blockuserinfo'}" class="last">
			<i class="mdi-action-exit-to-app"></i> {l s='Checkout' mod='blockuserinfo'} </a>
		</li>
		<li class="waves-effect">
			<a id="wishlist-total" href="{$link->getModuleLink('blockwishlist', 'mywishlist', array(), true)|addslashes}" title="{l s='My wishlists' mod='blockuserinfo'}">
			<i class="mdi-action-favorite-outline"></i>{l s='Wish List' mod='blockuserinfo'}</a>
		</li>
	</ul>
</div>

<!-- /Block languages module -->
